[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fptime

Return the current unix time

## Declaration

Source position: line 0

`function FpTime(`
`var tloc: TTime`
`):TTime; function fptime: time_t;`

## Description

FpTime returns the number of seconds since 00:00:00 GMT, january 1, 1970. it is adjusted to the local time zone, but not to DST. The result is also stored in tloc, if it is specified.

## Errors

On error, -1 is returned. Extended error information can be retrieved using fpGetErrno.

## Example

    Program Example1;

    { Program to demonstrate the fptime function. }

    Uses baseunix;

    begin
      Write ('Secs past the start of the Epoch (00:00 1/1/1980) : ');
      Writeln (fptime);
    end.

Documentation generated on: Feb 26 2014